---
title: dots.v2.oneClicks.kubernetes.post()
description: Install Kubernetes 1-Click Applications
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/1-click-applications/oneclicks-install-kubernetes/
last_updated: "2026-11-18"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.oneClicks.kubernetes.post()

Generated on 18 Nov 2026 from DoTs version [`v1.25.0`](https://github.com/digitalocean/dots/releases/tag/v1.25.0)

## Usage

```typescript
client.v2.oneClicks.kubernetes.post(body: OneClicks_create, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | KubernetesPostResponse>
```

## Description

To install a Kubernetes 1-Click application on a cluster, send a POST request to [`/v2/1-clicks/kubernetes`](https://docs.digitalocean.com/reference/api/reference/1-click-applications/index.html.md#oneClicks_install_kubernetes). The `addon_slugs` and `cluster_uuid` must be provided as body parameter in order to specify which 1-Click application(s) to install. To list all available 1-Click Kubernetes applications, send a request to `/v2/1-clicks?type=kubernetes`.

## Parameters

`addonSlugs` array of strings required

Example: `["kube-state-metrics", "loki"]`

An array of 1-Click Application slugs to be installed to the Kubernetes cluster.

Default: `[]`

`clusterUuid` string required

Example: `50a994b6-c303-438f-9495-7e896cfe6b08`

A unique ID for the Kubernetes cluster to which the 1-Click Applications will be installed.

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.oneClicks.kubernetes.post({
    addonSlugs: [
        "kube-state-metrics",
        "loki",
    ],
    clusterUuid: "50a994b6-c303-438f-9495-7e896cfe6b08",
});
```

## Response Example

## Show Response Example

```json
{
  "message": "Successfully kicked off addon job."
}
```

## More Information

See [`/v2/1-clicks/kubernetes`](https://docs.digitalocean.com/reference/api/reference/1-click-applications/index.html.md#oneClicks_install_kubernetes) in the API reference for additional detail on responses, headers, parameters, and more.